List of organization services
Returns a list of all services in the organization.
GET
/
v1
/
organizations
/
{organizationId}
/
services
List of organization services
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clickhouseVersion": "<string>",
"endpoints": [
{
"protocol": "mysql",
"host": "<string>",
"port": 123,
"username": "<string>"
}
],
"minTotalMemoryGb": 48,
"maxTotalMemoryGb": 360,
"minReplicaMemoryGb": 16,
"maxReplicaMemoryGb": 120,
"numReplicas": 3,
"idleScaling": true,
"idleTimeoutMinutes": 123,
"ipAccessList": [
{
"source": "<string>",
"description": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"encryptionKey": "<string>",
"encryptionAssumedRoleIdentifier": "<string>",
"iamRole": "<string>",
"privateEndpointIds": [
"<string>"
],
"availablePrivateEndpointIds": [
"<string>"
],
"dataWarehouseId": "<string>",
"isPrimary": true,
"isReadonly": true,
"byocId": "<string>",
"hasTransparentDataEncryption": true,
"transparentDataEncryptionKeyId": "<string>",
"encryptionRoleId": "<string>"
}
]
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
Query Parameters
Filter criteria to apply when retrieving the resource. Currently, only filtering by resource tags is supported.
Last modified on July 3, 2026
Was this page helpful?
Previous
Create new serviceCreates a new service in the organization, and returns the current service state and a password to access the service. The service is started asynchronously.
Next
⌘I
List of organization services
